[tool.poetry]
name = "ipf-report"
version = "0.1.0"
description = "CLI tool to generate PDF reports"
authors = ["Alexander Gittings <alexander.gittings@ipfabric.io>"]
readme = "README.md"

[tool.poetry.scripts]
ipf-report = "ipf_report.main:app"

[tool.poetry.dependencies]
python = "^3.11"
ipfabric = {extras = ["pd"], version = "^6.8.1"}
weasyprint = "^62.1"
typer = "^0.12.3"
jinja2 = "^3.1.4"
matplotlib = "^3.9.0"


[tool.poetry.group.dev.dependencies]
pre-commit = "^3.7.1"

[build-system]
requires = ["poetry-core"]
build-backend = "poetry.core.masonry.api"
